Problema al actualizar...

Spanish Forum

Moderator: vrkalak

Problema al actualizar...

Postby Alejandro24 on Sun Oct 13, 2013 2:26 pm

Hola. Últimamente mi gestor de actualizaciones, Linux Mint 15 KDE 32 bits, me muestra el mensaje "No se pudo recargar la lista de paquetes". Y en la terminal cuándo doy la orden sudo apt-get update al final aparecen estos renglones:
Code: Select all
W: Imposible obtener http://packages.medibuntu.org/dists/raring/Release.gpg  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/free/binary-i386/Packages  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/non-free/binary-i386/Packages  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/free/i18n/Translation-es_MX  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/free/i18n/Translation-es  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/free/i18n/Translation-en  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/non-free/i18n/Translation-es_MX  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/non-free/i18n/Translation-es  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

W: Imposible obtener http://packages.medibuntu.org/dists/raring/non-free/i18n/Translation-en  Algo raro pasó al resolver «packages.medibuntu.org:http» (-11 - Error del sistema)

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar


Y con esto simplemente no puedo actualizar el sistema o instalar nuevos programas. ¿Alguien tiene alguna idea de cuál podría ser el problema y cómo solucionarlo?

Saludos.
Send 'em all to the Moon.
User avatar
Alejandro24
Level 1
Level 1
 
Posts: 26
Joined: Sat Feb 27, 2010 9:26 pm

Linux Mint is funded by ads and donations.
 

Re: Problema al actualizar...

Postby hectorsales on Sun Oct 13, 2013 2:58 pm

Si, te lo explico:

El repositorio de Medibuntu ha sido abandonado, su creador así lo ha notificado..lo que tienes que hacer es desacticar el repositorio o eliminarlo, aquí encontrarás toda la información:

http://www.ubuntu-guia.com/2013/09/medi ... arece.html

Saludos .. :wink:
Linux Mint 13 LTS Mate 64 Bytes
User avatar
hectorsales
Level 4
Level 4
 
Posts: 250
Joined: Sun Jul 07, 2013 3:25 am

Re: Problema al actualizar...

Postby centurix on Sun Oct 13, 2013 3:38 pm

Mas sencillo

Abre (lanza) el Gestor de Actualizaciones

Menú Editar>Orígenes del Software

Pestaña "Otro Software"

Desmarcas el origen: http://packages.medibuntu.org/

Un saludo
LRU #473102
User avatar
centurix
Level 1
Level 1
 
Posts: 23
Joined: Fri Nov 25, 2011 4:46 pm

Re: Problema al actualizar...

Postby Alejandro24 on Sun Oct 13, 2013 4:12 pm

Intente usar lo que se indica en el enlace proporcionado por hectorsales. La orden:
Code: Select all
sudo rm /etc/apt/sources.list.d/medibuntu.list

devuelve lo siguiente.
Code: Select all
rm: no se puede borrar «/etc/apt/sources.list.d/medibuntu.list»: No existe el archivo o el directorio


Y no puedo abrir Synaptic porque muestra el siguiente mensaje:
Code: Select all
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/packages.medibuntu.org_dists_raring_free_i18n_Translation-en
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.
E: _cache->open() failed, please report.


¿Qué se puede hacer en este caso?
Send 'em all to the Moon.
User avatar
Alejandro24
Level 1
Level 1
 
Posts: 26
Joined: Sat Feb 27, 2010 9:26 pm

Re: Problema al actualizar...

Postby hectorsales on Mon Oct 14, 2013 5:14 pm

Hola compañero, sucede lo siguiente en Linux Mint creo que el repositorio viene integrado en :


Code: Select all
cat /etc/apt/souces.list


Esto es para ver si sencuentra en los repositorios oficiales...

Si se encuentra aquí, que se debe de encontrar aquí, si todo esta correcto, escribe:


Code: Select all
gksudo pluma /etc/apt/souces.list


Se te abrirá un fichero de texto con los repositorios..elimina el de medibuntu ...


Después:
Code: Select all
sudo apt-get update


Saludos ...
Linux Mint 13 LTS Mate 64 Bytes
User avatar
hectorsales
Level 4
Level 4
 
Posts: 250
Joined: Sun Jul 07, 2013 3:25 am

Re: Problema al actualizar...

Postby Alejandro24 on Tue Oct 15, 2013 10:43 pm

Tampoco funciona :( . Dice que no existe el archivo sources.list.
Send 'em all to the Moon.
User avatar
Alejandro24
Level 1
Level 1
 
Posts: 26
Joined: Sat Feb 27, 2010 9:26 pm

Re: Problema al actualizar...

Postby xxmlud on Wed Oct 16, 2013 5:58 am

Buenas, yo lo que hice fue meterme en
Source Software(Creo que es asi) te aparecen todos los repositorios y borra los que te estan dando problemas.
Creo que es Source Software/Orígenes del Software.
Y dentro de la pestaña "Otro Software" te salen los repositorios.
Saludos, no se decírtelo todo exacto ya que ahora no estoy utilizando LM
ImageImage
¡Made for YOU!
User avatar
xxmlud
Level 3
Level 3
 
Posts: 109
Joined: Tue Apr 03, 2012 5:57 pm
Location: Made in user

Re: Problema al actualizar...

Postby hectorsales on Wed Oct 16, 2013 8:31 am

Alejandro24 wrote:Tampoco funciona :( . Dice que no existe el archivo sources.list.


Fíjate bien que si que exite, al menos en mi versión Linux Mint 13 Mate 64 bytes.

Pantallazo.png
cat /etc/apt/sources.list


Saludos .. :wink:
Linux Mint 13 LTS Mate 64 Bytes
User avatar
hectorsales
Level 4
Level 4
 
Posts: 250
Joined: Sun Jul 07, 2013 3:25 am

Re: Problema al actualizar...

Postby kilogiant on Wed Oct 16, 2013 10:10 pm

buenas noches colegas del foro, yo tambien tenia ese problema y lo acabo de solucionar asi siguiendo pasos que dijo hectorsales abriendo la terminal cat /etc/apt/souces.list (siguiente) gksudo pluma /etc/apt/souces.list aqui le dice que gksudo no esta instalado que lo instale con el siguiente comando apt-get install gksu espere que se instale, siguiente sudo apt-get update esperar que termine el proceso despues abrir el gestor de actualizaciones darle actualizar a mi me acaba de funcionar bien y se actualizo el sistema recalco siguiendo los pasos de hectorsales muchas gracias.
kilogiant
Level 1
Level 1
 
Posts: 13
Joined: Wed Feb 22, 2012 7:57 pm

Re: Problema al actualizar...

Postby mseifer on Thu Oct 17, 2013 5:12 pm

yo encontre la linea referente a mediubuntu dentro de /etc/apt/sources.list.d/official-package-repositories.list echale un vistazo

Estoy usando Linux Mint 15 Olivia
mseifer
Level 1
Level 1
 
Posts: 1
Joined: Thu Oct 17, 2013 5:10 pm

Re: Problema al actualizar...

Postby Alejandro24 on Thu Oct 17, 2013 11:51 pm

mseifer wrote:yo encontre la linea referente a mediubuntu dentro de /etc/apt/sources.list.d/official-package-repositories.list echale un vistazo

Estoy usando Linux Mint 15 Olivia


Sip, tiene razón:
Code: Select all
/etc/apt/sources.list.d/official-package-repositories.list
# Do not edit this file manually, use Software Sources instead.

#id:linuxmint_main
deb http://packages.linuxmint.com/ olivia main upstream import

deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ raring-updates main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu/ raring-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ raring partner
deb http://packages.medibuntu.org/ raring free non-free


He añadido un # sobre la línea de mediubunt (sí, lo edite manualmente) y el problema se ha solucionado, ya aparecen las actualizaciones en el gestor y además en terminal con la orden apt-get upgrade. Sólo falta por reparar un problema con duplicate sources.list entry, pero ese lo sé arreglar.
Gracias compañeros por su ayuda.
Send 'em all to the Moon.
User avatar
Alejandro24
Level 1
Level 1
 
Posts: 26
Joined: Sat Feb 27, 2010 9:26 pm

Re: Problema al actualizar...

Postby yetzmitzu on Thu Oct 24, 2013 11:45 pm

Hola a todos, pués comentaré que me pasó lo mismo, acabo de instalarme Linux Mint 15 y me salió el mismo problema al momento de querer instalar algún programa o de actualizar; y pués el problema se soluciona eliminando todo lo relacionado con medibuntu como todos han recomendado, en mi caso lo resolví de la siguiente manera:

Primero loguearse dentro del sistema como super usuario o root, dentro de una terminal escriben:

sudo su

y después presionan Enter, les va a pedir su contraseña de super usuario.
Una vez identificados escribimos:

cd /etc/apt/sources.list.d/

presionamos Enter y estaremos dentro de la carpeta sources.list.d ahora verificaremos que dentro de esta esté el archivo: official-package-repositories.list escribiendo ls y presionando Enter.

Ahora editaremos el archivo usando el editor nano o el de su preferencia haciendo:

nano official-package-repositories.list

y presionamos Enter y se nos abrirá el archivo en modo de edición y ahora sólo anteponemos una almohadilla o gato # antes de la línea:

deb http://packages.medibuntu.org/ raring free non-free

nos quedaría de la siguiente forma:

#deb http://packages.medibuntu.org/ raring free non-free

una vez hecho esto guardamos el archivo presionando Ctrl + o (ojo letra o de oso) y salimos del editor con Ctrl + X.

Ahora solo resta actualizar nuestro sistema con un update y después un upgrade

Buena suerte, nos vemos.
yetzmitzu
Level 1
Level 1
 
Posts: 1
Joined: Thu Oct 24, 2013 10:37 pm

Linux Mint is funded by ads and donations.
 

Return to Español (Spanish)

Who is online

Users browsing this forum: Majestic-12 [Bot] and 2 guests